
.. _load_cli:

load
****







.. rubric:: Output of :code:`--help=load`



The following help text is generated by :code:`ecflow_client --help=load`

::

   
   load
   ----
   
   Check and load definition or checkpoint file into server.
   The loaded definition will be checked for valid trigger and complete expressions,
   additionally in-limit references to limits will be validated.
   If the server already has the 'suites' of the same name, then a error message is issued.
   The suite's can be overwritten if the force option is used.
   To just check the definition and not send to server, use 'check_only'
   This command can also be used to load a checkpoint file into the server
     arg1 = path to the definition file or checkpoint file
     arg2 = (optional) [ force | check_only | print | stats ]  # default = false for all
   Usage:
   --load=/my/home/exotic.def               # will error if suites of same name exists
   --load=/my/home/exotic.def force         # overwrite suite's of same name in the server
   --load=/my/home/exotic.def check_only    # Just check, don't send to server
   --load=/my/home/exotic.def stats         # Show defs statistics, don't send to server
   --load=host1.3141.check                  # Load checkpoint file to the server
   --load=host1.3141.check print            # print definition to standard out in defs format
   
   
   The client considers, for both user and child commands, the following environment variables:
   
     ECF_HOST <string> [mandatory*]
       The main server hostname; default value is 'localhost'
     ECF_PORT <int> [mandatory*]
       The main server port; default value is '3141'
     ECF_SSL <any> [optional*]
       Enable secure communication between client and server.
     ECF_HOSTFILE <string> [optional]
       File that lists alternate hosts to try, if connection to main host fails
     ECF_HOSTFILE_POLICY <string> [optional]
       The policy ('task' or 'all') to define which commands consider using alternate hosts.
   
   The options marked with (*) must be specified in order for the client to communicate
   with the server, either by setting the environment variables or by specifying the
   command line options.
   

